<script>
	let part1 = "Hello";
	let part2 = "world !";
	// let title = part1 + " " + part2;
	$: title = part1 + " " + part2;
	$: console.log(part1);

	function changeName(){
		part1 = "Hey";
	}

	let todos = [
		{name: "shopping", tasks: [
			{taskName: "baskets", done: true}
		]},
		{name: "sports", tasks: [
			{taskName: "running", done: false}
		]}
	];

	async function getRandomWord(){
		
		let response = await fetch("https://api.thedogapi.com/v1/breeds?limit=1&page=0");

		let json = await response.json();

		let word = json[0].name;

		return word;
	}

</script>


<h1 on:click={changeName} >{title}</h1>

<ul>
	{#each todos as {name, tasks}, i}
		<li>
			{#await getRandomWord()}
				<p>... loading a name</p>
			{:then word}
				<p>{word}</p>
			{:catch error}
				<p>{error}</p>
			{/await}
			<ul>
				{#each tasks as {taskName, done}}
					{#if done}
						<li>{taskName} <input type="checkbox" checked="{done}"></li>
					{:else}
						<li><del>{taskName} <input type="checkbox" checked="{done}"></del></li>
					{/if}
				{/each}
			</ul>
		</li>

	{/each}
</ul>
